Bug 1203432 - [abrt] evolution: free_node(): evolution killed by SIGSEGV
Summary: [abrt] evolution: free_node(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:63204b3823d2fbadf4df5f30843...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 19:36 UTC by Christopher Beland
Modified: 2015-04-12 08:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-24 08:18:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.74 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: core_backtrace (72.92 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: dso_list (27.01 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: environ (1.56 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: maps (134.62 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: open_fds (4.25 KB, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2015-03-18 19:36 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2015-03-18 19:36:37 UTC
Version-Release number of selected component:
evolution-3.12.11-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        evolution
crash_function: free_node
executable:     /usr/bin/evolution
kernel:         3.18.9-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Mon 2015-02-23 02:37:49 EST, end at Wed 2015-03-18 15:07:23 EDT. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 free_node at /lib64/libgtk-3.so.0
 #1 g_node_traverse_post_order at /lib64/libglib-2.0.so.0
 #4 g_node_traverse at /lib64/libglib-2.0.so.0
 #5 gtk_ui_manager_finalize at /lib64/libgtk-3.so.0
 #7 e_attachment_view_dispose at /usr/lib64/evolution/3.12/libevolution-util.so
 #8 attachment_icon_view_dispose at /usr/lib64/evolution/3.12/libevolution-util.so
 #10 gtk_frame_forall at /lib64/libgtk-3.so.0
 #11 gtk_container_destroy at /lib64/libgtk-3.so.0
 #16 gtk_widget_dispose at /lib64/libgtk-3.so.0
 #18 gtk_box_forall at /lib64/libgtk-3.so.0

Comment 1 Christopher Beland 2015-03-18 19:36:39 UTC
Created attachment 1003393 [details]
File: backtrace

Comment 2 Christopher Beland 2015-03-18 19:36:39 UTC
Created attachment 1003394 [details]
File: cgroup

Comment 3 Christopher Beland 2015-03-18 19:36:40 UTC
Created attachment 1003395 [details]
File: core_backtrace

Comment 4 Christopher Beland 2015-03-18 19:36:41 UTC
Created attachment 1003396 [details]
File: dso_list

Comment 5 Christopher Beland 2015-03-18 19:36:42 UTC
Created attachment 1003397 [details]
File: environ

Comment 6 Christopher Beland 2015-03-18 19:36:42 UTC
Created attachment 1003398 [details]
File: exploitable

Comment 7 Christopher Beland 2015-03-18 19:36:43 UTC
Created attachment 1003399 [details]
File: limits

Comment 8 Christopher Beland 2015-03-18 19:36:44 UTC
Created attachment 1003400 [details]
File: maps

Comment 9 Christopher Beland 2015-03-18 19:36:45 UTC
Created attachment 1003401 [details]
File: open_fds

Comment 10 Christopher Beland 2015-03-18 19:36:45 UTC
Created attachment 1003402 [details]
File: proc_pid_status

Comment 11 Milan Crha 2015-03-19 06:30:12 UTC
Thanks for a bug report. If I read the backtrace properly, then this happened when you were closing evolution. I do not see what caused the crash, it only seems like it happened when the message preview was freeing itself.

By any chance, do you have any steps how to reproduce the crash, please? Maybe this is related to a particular message.

Comment 12 Christopher Beland 2015-03-22 18:00:23 UTC
Unfortunately, I can't reproduce this crash.  I do seem to remember it happened while I was either trying to close Evolution or shut the machine down entirely, and Evolution was taking a while to finish up.

Comment 13 Milan Crha 2015-03-24 08:18:22 UTC
Thanks for the update. I'd guess that you had selected certain message with attachments, maybe a forwarded message, which was attached and had its own attachments as well. I mean, some message with a "complicated" structure. Let's close this for now, but please try to watch for the crash and what message had been used with it and so on, just in case you'll be able to reproduce it again. Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.